/*
 *  ================================================================
 *  Function.java: Interface specification for builtin functions.
 *
 *  Written by: Mark Austin                               June, 2013
 *  ================================================================
 */

package symbol02.datatypes;

public interface Function {
   public abstract String  getName();
   public abstract int   getNoArgs();
   public abstract void  setValues( double ... numbers );
   public abstract double  compute();
   public abstract String toString();
}

